.footer{
    padding:65px 0 20px;
    border-top:1px solid var(--border);
    background:
        radial-gradient(circle at top left,rgba(79,209,255,.08),transparent 35%),
        #040A12;
}

.footer-grid{
    display:grid;
    grid-template-columns:1.5fr .7fr 1.2fr;
    gap:60px;
    padding-bottom:45px;
}

.footer-logo{
    display:inline-block;
    margin-bottom:15px;
    color:#fff;
    font-size:24px;
    font-weight:800;
    letter-spacing:1px;
}

.footer-logo span{
    color:var(--primary);
}

.footer-brand p{
    max-width:430px;
    color:var(--text-muted);
    font-size:14px;
    line-height:1.7;
}

.footer-social{
    display:flex;
    gap:10px;
    margin-top:22px;
}

.footer-social a{
    width:40px;
    height:40px;
    display:flex;
    align-items:center;
    justify-content:center;
    border:1px solid var(--border);
    border-radius:12px;
    background:rgba(255,255,255,.04);
    color:var(--text-secondary);
}

.footer-social a:hover{
    border-color:var(--primary);
    background:rgba(79,209,255,.1);
    color:var(--primary);
    transform:translateY(-3px);
}

.footer-menu h4,
.footer-contact h4{
    margin-bottom:18px;
    color:#fff;
    font-size:17px;
}

.footer-menu{
    display:flex;
    flex-direction:column;
    align-items:flex-start;
}

.footer-menu a{
    margin-bottom:10px;
    color:var(--text-muted);
    font-size:14px;
}

.footer-menu a:hover{
    color:var(--primary);
    padding-left:4px;
}

.footer-contact p{
    display:flex;
    align-items:flex-start;
    gap:10px;
    margin-bottom:12px;
    color:var(--text-muted);
    font-size:14px;
    line-height:1.6;
}

.footer-contact i{
    width:18px;
    margin-top:4px;
    color:var(--primary);
    text-align:center;
}

.footer-bottom{
    display:flex;
    justify-content:space-between;
    gap:15px;
    padding-top:20px;
    border-top:1px solid var(--border);
    color:var(--text-muted);
    font-size:12px;
}

@media(max-width:768px){
    .footer{
        padding:50px 0 20px;
    }

    .footer-grid{
        grid-template-columns:1fr;
        gap:35px;
        padding-bottom:35px;
    }

    .footer-brand,
    .footer-menu,
    .footer-contact{
        text-align:center;
        align-items:center;
    }

    .footer-brand p{
        margin:auto;
    }

    .footer-social{
        justify-content:center;
    }

    .footer-menu a:hover{
        padding-left:0;
    }

    .footer-contact p{
        justify-content:center;
        text-align:left;
        max-width:400px;
    }

    .footer-bottom{
        flex-direction:column;
        align-items:center;
        text-align:center;
    }
}